Page MenuHomePhabricator

[AArch64] Fix the ordering of the accumulate operand in SchedRW list.
ClosedPublic

Authored by cestes on Jun 5 2014, 12:37 PM.

Details

Summary

The accumulate operand was listed as the first read operand in the
SchedRW lists for the various multiply and accumulate instructions,
whereas it should be the third instead.

Diff Detail

Event Timeline

cestes updated this revision to Diff 10151.Jun 5 2014, 12:37 PM
cestes retitled this revision from to [AArch64] Fix the ordering of the accumulate operand in SchedRW list..
cestes updated this object.
cestes edited the test plan for this revision. (Show Details)
cestes added subscribers: mcrosier, Unknown Object (MLST).
cestes updated this revision to Diff 10155.Jun 5 2014, 1:23 PM

Updated lit test to just check the computed latencies instead of final schedule. This
will make the test case more robust to future scheduling changes.

atrick accepted this revision.Jun 6 2014, 6:42 PM
atrick edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jun 6 2014, 6:42 PM
mcrosier closed this revision.Jun 8 2014, 7:04 PM

Committed in r210446.